# This is the CRAN name
%global packname zoo
# This is the main package version
%global packver 1.8
# Note that some R packages do not use packrel
%global packrel 6

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          3.el9.lc
License:          GPLv2 or GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz

Summary:          Z's ordered observations for irregular time series
BuildRequires:    R-devel, R-utils, R-graphics, R-grDevices, R-lattice
BuildRequires:    tex(latex)
Requires:         R-core
Requires:         R-utils, R-graphics, R-grDevices, R-lattice

%package          devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}


%description
An S3 class with methods for totally ordered indexed observations. It is
particularly aimed at irregular time series of numeric vectors/matrices and
factors. zoo's key design goals are independence of a particular index/date/
time class and consistency with with ts and base R by providing methods to
extend standard generics.

%description    devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}

%prep
%setup -q -c -n %{packname}
#Fix line endings
sed -i -e 's/\r//' zoo/inst/doc/zoo*.Rnw


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css


%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}


%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/demo
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/WISHLIST
%doc %{_libdir}/R/library/%{packname}/TODO
%{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs

%files devel
%{_libdir}/R/library/%{packname}/include

%changelog
* Thu May 1 2025 Stuart Raeburn <raeburn@loncapa.org> (1.8.6-3)
- Rebuild for R 4.5.0

* Fri Jun 21 2024 Stuart Raeburn <raeburn@loncapa.org> (1.8.6-2)
- Rebuild for R 4.4.0

* Tue May 9 2023 Stuart Raeburn <raeburn@loncapa.org> (1.8.6-1)
- Rebuild for R 4.3.0

* Sun Apr 23 2023 Stuart Raeburn <raeburn@loncapa.org> (1.8.6-0)
- Initial build for R 4.2.3
